package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Weapon;

// TODO: UPDATE IMPLEMENTATION
public class Vampire extends Enemy {
    private static final int Max_hp = 12 ;
    private static final int Max_mp = 5 ;

    public Vampire (int hp, int mp, Weapon weapon) {
        super(Max_hp , Max_mp , weapon );

    }
    @Override
    public void attack(Entity target)
    {

        int damage = getWeapon().getDamage() ;
        System.out.println("Vampire use ----");
        target.takeDamage(damage);
        setNewHp(damage/3) ;
        if (getHp() > Max_hp)
        {
            setNewHp(Max_hp) ;
        }


    }

    @Override
    public void check_hp() {

    }

    @Override
    public void defend(Entity me, int damage) {

    }

    @Override
    public int getMaxHP() {
        return 0;
    }

    @Override
    public int getMaxMP() {
        return 0;
    }

    @Override
    public boolean ISLive() {

        return false;
    }

    @Override
    public void defend() {

    }
    @Override
    public String getName()
    {
        return "Vampire " ;
    }

    // TODO: DESIGN ENEMY AND IMPLEMENT THE CONSTRUCTOR
}
